summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2020-01-03 16:41:16 +0100
committerHans de Graaff <graaff@gentoo.org>2020-01-03 16:55:07 +0100
commitd556993307d9adb0028030250627616c56a8e477 (patch)
tree18b5ff5acfe79761cb40654bb8ef8fbf785abed3 /dev-ruby/minitest
parentdev-ruby/sshkey: add ruby27 (diff)
downloadgentoo-d556993307d9adb0028030250627616c56a8e477.tar.gz
gentoo-d556993307d9adb0028030250627616c56a8e477.tar.bz2
gentoo-d556993307d9adb0028030250627616c56a8e477.zip
dev-ruby/minitest: add ruby27
Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
Diffstat (limited to 'dev-ruby/minitest')
-rw-r--r--dev-ruby/minitest/minitest-4.7.5-r2.ebuild10
1 files changed, 3 insertions, 7 deletions
diff --git a/dev-ruby/minitest/minitest-4.7.5-r2.ebuild b/dev-ruby/minitest/minitest-4.7.5-r2.ebuild
index 7397bdd3279..5ced7ac74dc 100644
--- a/dev-ruby/minitest/minitest-4.7.5-r2.ebuild
+++ b/dev-ruby/minitest/minitest-4.7.5-r2.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
-USE_RUBY="ruby23 ruby24 ruby25 ruby26"
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
@@ -20,11 +20,7 @@ KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~mips ppc ppc64 s390 ~sh sparc x86 ~am
IUSE="doc test"
each_ruby_prepare() {
- case ${RUBY} in
- *ruby24|*ruby25|*ruby26)
- sed -i -e 's/Fixnum/Integer/' test/minitest/test_minitest_spec.rb || die
- ;;
- esac
+ sed -i -e 's/Fixnum/Integer/' test/minitest/test_minitest_spec.rb || die
}
each_ruby_test() {